### Method

# Camel Store maybe_run_db_maintenance

since: 3.16

#### Declaration [src]

    gboolean
    camel_store_maybe_run_db_maintenance (
      CamelStore* store
      GError** error
    )

#### Description [src]

Checks the state of the current `CamelStoreDB` used for the `store` and eventually runs maintenance routines on it.

Available since: 3.16

#### Return value

Type: `gboolean`

Whether succeeded.